Package org.apache.wiki.plugin

# Class Denounce

java.lang.Object
org.apache.wiki.plugin.Denounce

All Implemented Interfaces:
  `Plugin`

public class Denounce extends Object implements Plugin
Denounces a link by removing it from any search engine.
The bots are listed in org/apache/wiki/plugin/denounce.properties.

Parameters :

- link - The link to be denounced, this parameter is required
- text - The text to use, defaults to the link

Since:
  2.1.40.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_LINK`
Parameter name for setting the link.
`static final String`
`PARAM_TEXT`
Parameter name for setting the text.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`Denounce()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_LINK

public static final String PARAM_LINK
Parameter name for setting the link. Value is `"link"`.

See Also:
  - Constant Field Values

### PARAM_TEXT

public static final String PARAM_TEXT
Parameter name for setting the text. Value is `"text"`.

See Also:
  - Constant Field Values

## Constructor Details

### Denounce

public Denounce()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`